package ru.yandex.autotests.directapi.model.balancesimple.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import ru.yandex.autotests.irt.testutils.json.JsonUtils;

/**
 * Created by semkagtn on 15.09.15.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class BindCreditCardResponse extends BalanceSimpleResponse {

    @JsonProperty("payment_method")
    private String paymentMethod;

    @JsonProperty("trust_payment_id")
    private String trustPaymentId;

    @JsonProperty("status_desc")
    private String statusDesc;

    @JsonProperty("rrn")
    private String rrn;

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public String getTrustPaymentId() {
        return trustPaymentId;
    }

    public String getStatusDesc() {
        return statusDesc;
    }

    public String getRrn() {
        return rrn;
    }

    @Override
    public String toString() {
        return JsonUtils.toStringLow(this);
    }
}
